---
title: Delete On-Call schedule override
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > On-Call
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

{% callout %}
# Important note for users on the following Datadog sites: us2.ddog-gov.com

{% alert level="danger" %}
This product is not supported for your selected [Datadog site](https://docs.datadoghq.com/getting_started/site.md). ({% placeholder "user-datadog-site-name" /%}).
{% /alert %}

{% /callout %}

# Delete On-Call schedule override{% #delete-on-call-schedule-override %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                        |
| ----------------- | --------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/on-call/schedules/{schedule_id}/overrides/{override_id} |

### Overview

Delete an override from the specified On-Call schedule. This endpoint requires any of the following permissions:
`on_call_respond``on_call_write` 


### Arguments

#### Path Parameters

| Name                          | Type   | Description             |
| ----------------------------- | ------ | ----------------------- |
| schedule_id [*required*] | string | The ID of the schedule. |
| override_id [*required*] | string | The ID of the override. |

### Response

{% tab title="204" %}
No Content
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export schedule_id="3653d3c6-0c75-11ea-ad28-fb5701eabc7d" export override_id="00000000-0000-0000-0000-000000000000" \# Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"  \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v2/on-call/schedules/${schedule_id}/overrides/${override_id}" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" 
                
{% /tab %}
